org.springframework.web.bind.annotation

## Annotation Type InitBinder

-     @Target(value=METHOD)
       @Retention(value=RUNTIME)
       @Documented
      public @interface InitBinder

  Annotation that identifies methods that initialize the `WebDataBinder` which will be used for populating command and form object arguments of annotated handler methods.

  WARNING: Data binding can lead to security issues by exposing parts of the object graph that are not meant to be accessed or modified by external clients. Therefore the design and use of data binding should be considered carefully with regard to security. For more details, please refer to the dedicated sections on data binding for Spring Web MVC and Spring WebFlux in the reference manual.

  `@InitBinder` methods support all arguments that `@RequestMapping` methods support, except for command/form objects and corresponding validation result objects. `@InitBinder` methods must not have a return value; they are usually declared as `void`.

  Typical arguments are `WebDataBinder` in combination with `WebRequest` or `Locale`, allowing to register context-specific editors.

  Since:
    2.5
  Author:
    Juergen Hoeller
  See Also:
    `ControllerAdvice`, `WebDataBinder`, `WebRequest`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String[]` | `value` The names of command/form attributes and/or request parameters that this init-binder method is supposed to apply to.

- - ### Element Detail

    - #### value

          public abstract String[] value

      The names of command/form attributes and/or request parameters that this init-binder method is supposed to apply to.

      Default is to apply to all command/form attributes and all request parameters processed by the annotated handler class. Specifying model attribute names or request parameter names here restricts the init-binder method to those specific attributes/parameters, with different init-binder methods typically applying to different groups of attributes or parameters.

      Default:
        {}